summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgattrib-8
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-02-14 14:44:46 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:09:46 +0200
commit82bae7e9c1ab61512aea9ff066c2d465c6aca915 (patch)
tree8da938f3e81499c7bcd19dfe0137f00aff1d09d9 /gettext-tools/tests/msgattrib-8
parent9c50b083e89626b28f73df7b9d2d28d82dc66723 (diff)
downloadexternal_gettext-82bae7e9c1ab61512aea9ff066c2d465c6aca915.zip
external_gettext-82bae7e9c1ab61512aea9ff066c2d465c6aca915.tar.gz
external_gettext-82bae7e9c1ab61512aea9ff066c2d465c6aca915.tar.bz2
Move tests/msgattrib-8 to gettext-tools/tests/msgattrib-8.
Diffstat (limited to 'gettext-tools/tests/msgattrib-8')
-rwxr-xr-xgettext-tools/tests/msgattrib-8127
1 files changed, 127 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgattrib-8 b/gettext-tools/tests/msgattrib-8
new file mode 100755
index 0000000..c79adc2
--- /dev/null
+++ b/gettext-tools/tests/msgattrib-8
@@ -0,0 +1,127 @@
+#! /bin/sh
+
+# Test --set-fuzzy option. Note that the output routines ignore the fuzzy
+# attribute for untranslated messages.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles ma-test8.po"
+cat <<\EOF > ma-test8.po
+# HEADER.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: Bonnie Tyler\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: married-men:4
+#, fuzzy
+msgid "The world is full of married men"
+msgstr "So viele verheiratete M�nner"
+
+#: married-men:5
+msgid "with wives who never understand"
+msgstr "und ihre Frauen verstehen sie nicht"
+
+#: married-men:6
+msgid "They're looking for someone to share"
+msgstr ""
+
+# schwer zu �bersetzen...
+#: married-men:7
+msgid "the excitement of a love affair"
+msgstr ""
+
+#: married-men:8
+msgid "Just as soon as they find you"
+msgstr ""
+
+#: married-men:9
+msgid "They warn you and darn you"
+msgstr ""
+
+#~ msgid "You fly on the wings of romance"
+#~ msgstr "Die Fl�gel der frischen Liebe heben dich zum Himmel"
+
+#, fuzzy
+#~ msgid "In the eyes of the world"
+#~ msgstr "F�r die anderen"
+
+# Etwas freie �bersetzung.
+#~ msgid "You're just another crazy girl"
+#~ msgstr "bist du blo� ein verr�cktes dummes Ding"
+
+#~ msgid "Who loves a married man"
+#~ msgstr "das einen verheirateten Mann liebt"
+EOF
+
+tmpfiles="$tmpfiles ma-test8.out"
+: ${MSGATTRIB=msgattrib}
+${MSGATTRIB} --set-fuzzy ma-test8.po -o ma-test8.out
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles ma-test8.ok"
+cat <<\EOF > ma-test8.ok
+# HEADER.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: Bonnie Tyler\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: married-men:4
+#, fuzzy
+msgid "The world is full of married men"
+msgstr "So viele verheiratete M�nner"
+
+#: married-men:5
+#, fuzzy
+msgid "with wives who never understand"
+msgstr "und ihre Frauen verstehen sie nicht"
+
+#: married-men:6
+msgid "They're looking for someone to share"
+msgstr ""
+
+# schwer zu �bersetzen...
+#: married-men:7
+msgid "the excitement of a love affair"
+msgstr ""
+
+#: married-men:8
+msgid "Just as soon as they find you"
+msgstr ""
+
+#: married-men:9
+msgid "They warn you and darn you"
+msgstr ""
+
+#, fuzzy
+#~ msgid "You fly on the wings of romance"
+#~ msgstr "Die Fl�gel der frischen Liebe heben dich zum Himmel"
+
+#, fuzzy
+#~ msgid "In the eyes of the world"
+#~ msgstr "F�r die anderen"
+
+# Etwas freie �bersetzung.
+#, fuzzy
+#~ msgid "You're just another crazy girl"
+#~ msgstr "bist du blo� ein verr�cktes dummes Ding"
+
+#, fuzzy
+#~ msgid "Who loves a married man"
+#~ msgstr "das einen verheirateten Mann liebt"
+EOF
+
+: ${DIFF=diff}
+${DIFF} ma-test8.ok ma-test8.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result